<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Sat Apr 25 19:48:02 CEST 2020 -->
<title>es.uned.lsi.eped.DataStructures Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-04-25">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="es.uned.lsi.eped.DataStructures Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For Package es.uned.lsi.eped.DataStructures</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="Collection.html" title="class in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">Collection</span></a>&lt;E&gt; (implements es.uned.lsi.eped.DataStructures.<a href="CollectionIF.html" title="interface in es.uned.lsi.eped.DataStructures">CollectionIF</a>&lt;E&gt;)
<ul>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="Sequence.html" title="class in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">Sequence</span></a>&lt;E&gt; (implements es.uned.lsi.eped.DataStructures.<a href="SequenceIF.html" title="interface in es.uned.lsi.eped.DataStructures">SequenceIF</a>&lt;E&gt;)
<ul>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="List.html" title="class in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">List</span></a>&lt;E&gt; (implements es.uned.lsi.eped.DataStructures.<a href="ListIF.html" title="interface in es.uned.lsi.eped.DataStructures">ListIF</a>&lt;E&gt;)</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="Queue.html" title="class in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">Queue</span></a>&lt;E&gt; (implements es.uned.lsi.eped.DataStructures.<a href="QueueIF.html" title="interface in es.uned.lsi.eped.DataStructures">QueueIF</a>&lt;E&gt;)</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="Stack.html" title="class in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">Stack</span></a>&lt;E&gt; (implements es.uned.lsi.eped.DataStructures.<a href="StackIF.html" title="interface in es.uned.lsi.eped.DataStructures">StackIF</a>&lt;E&gt;)</li>
</ul>
</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="Tree.html" title="class in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">Tree</span></a>&lt;E&gt; (implements es.uned.lsi.eped.DataStructures.<a href="TreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">TreeIF</a>&lt;E&gt;)
<ul>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="BTree.html" title="class in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">BTree</span></a>&lt;E&gt; (implements es.uned.lsi.eped.DataStructures.<a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;E&gt;)</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="GTree.html" title="class in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">GTree</span></a>&lt;E&gt; (implements es.uned.lsi.eped.DataStructures.<a href="GTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">GTreeIF</a>&lt;E&gt;)</li>
</ul>
</li>
</ul>
</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="Sequence.NodeSequence.html" title="class in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">Sequence.NodeSequence</span></a></li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="Test.html" title="class in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">Test</span></a></li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="CollectionIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">CollectionIF</span></a>&lt;E&gt;
<ul>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="ContainerIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">ContainerIF</span></a>&lt;E&gt;
<ul>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="MultiSetIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">MultiSetIF</span></a>&lt;E&gt;</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="SetIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">SetIF</span></a>&lt;E&gt;</li>
</ul>
</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="SequenceIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">SequenceIF</span></a>&lt;E&gt;
<ul>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="ListIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">ListIF</span></a>&lt;E&gt;</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="QueueIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">QueueIF</span></a>&lt;E&gt;</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="StackIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">StackIF</span></a>&lt;E&gt;</li>
</ul>
</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="TreeIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">TreeIF</span></a>&lt;E&gt;
<ul>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="BSTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">BSTreeIF</span></a>&lt;E&gt;</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">BTreeIF</span></a>&lt;E&gt;</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="GTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">GTreeIF</span></a>&lt;E&gt;</li>
</ul>
</li>
</ul>
</li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="IteratorIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">IteratorIF</span></a>&lt;E&gt;</li>
</ul>
</section>
<section role="region">
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.lang.constant.Constable, java.io.Serializable)
<ul>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="BSTreeIF.IteratorModes.html" title="enum in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">BSTreeIF.IteratorModes</span></a></li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="BSTreeIF.Order.html" title="enum in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">BSTreeIF.Order</span></a></li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="BTreeIF.IteratorModes.html" title="enum in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">BTreeIF.IteratorModes</span></a></li>
<li class="circle">es.uned.lsi.eped.DataStructures.<a href="GTreeIF.IteratorModes.html" title="enum in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">GTreeIF.IteratorModes</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
